/*
 * relsplit.h - computing relative Gromov-Witten invariants using the
 *              splitting technique
 *
 */

#ifndef __RELSPLIT_H__
#define __RELSPLIT_H__

#include <stdlib.h>
#include <iostream.h>
#include <assert.h>

#include "gwinv.h"
#include "relinv.h"
#include "database.h"
#include "compute.h"
#include "split2.h"



/*
 * Compute an invariant by relative GW splitting, if possible. The classes
 * must be sorted and reduced.
 *
 */

rational relsplit (inv&, int);

#endif

